
from mako.lookup import TemplateLookup
from mako.template import Template

from mandaye.config import template_directory

mylookup = TemplateLookup(directories=[template_directory],
        input_encoding='utf-8')

def serve_template(templatename, **kwargs):
    """ serve a template
    """
    mytemplate = mylookup.get_template(templatename)
    return mytemplate.render_unicode(**kwargs)

